package com.mortals.xhx.modules.supplement.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:Supplement
* date: 2021-8-12 14:22:26
*/
public class SupplementQuery extends SupplementEntity{
    private static final long serialVersionUID = 1628749346439L;
    /** 开始 主键ID,主键,业务生成 */
    private Long idStart;

    /** 结束 主键ID,主键,业务生成 */
    private Long idEnd;

    /** 增加 主键ID,主键,业务生成 */
    private Long idIncrement;

    /** 主键ID,主键,业务生成 */
    private List <Long> idList;


    /** 实施清单名称 */
    private List<String> implNameList;

    /** 实施清单编码 */
    private List<String> implCodeList;

    /** 申请人属性 */
    private List<String> applicationTypeList;

    /** 申请人证件类型 */
    private List<String> applicationCardTypeList;

    /** 申请人姓名 */
    private List<String> applicationNameList;

    /** 申请人证件号码 */
    private List<String> applicationIdList;

    /** 申请人手机号码 */
    private List<String> applicationPhoneList;

    /** 机构名称 */
    private List<String> mechanismNameList;

    /** 机构地址 */
    private List<String> mechanismAddressList;

    /** 机构性质 */
    private List<String> mechanismTypeList;

    /** 机构证件类型 */
    private List<String> mechanismIdTypeList;

    /** 机构编码 */
    private List<String> mechanismIdList;

    /** 法人姓名 */
    private List<String> legalPersonList;

    /** 办件申请日期 */
    private List<String> applyTimeList;

    /** 受理人姓名 */
    private List<String> acceptNameList;

    /** 受理人身份证号码 */
    private List<String> acceptIdList;

    /** 受理人手机号 */
    private List<String> acceptPhoneList;

    /** 系统编码 */
    private List<String> sysCodeList;

    /** 是否执行转化（0.未执行  1.已执行） */
    private List<String> isExecuteList;

    /** 是否转化成功（0默认 1成功） */
    private List<String> isSuccessList;

    /** 失败原因 */
    private List<String> failReasonList;
    /** 开始 创建时间 */
    private String createDateStart;

    /** 结束 创建时间 */
    private String createDateEnd;
    /** 开始 更新时间 */
    private String updateDateStart;

    /** 结束 更新时间 */
    private String updateDateEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<SupplementQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<SupplementQuery> andConditionList;


    public SupplementQuery(){
    }

    /**
    * 获取 开始 主键ID,主键,业务生成
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键ID,主键,业务生成
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID,主键,业务生成
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键ID,主键,业务生成
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID,主键,业务生成
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID,主键,业务生成
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID,主键,业务生成
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键ID,主键,业务生成
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 实施清单名称
    * @return implNameList
    */
    public List<String> getImplNameList(){
        return this.implNameList;
    }

    /**
    * 设置 实施清单名称
    * @param implNameList
    */
    public void setImplNameList(List<String> implNameList){
        this.implNameList = implNameList;
    }
    /**
    * 获取 实施清单编码
    * @return implCodeList
    */
    public List<String> getImplCodeList(){
        return this.implCodeList;
    }

    /**
    * 设置 实施清单编码
    * @param implCodeList
    */
    public void setImplCodeList(List<String> implCodeList){
        this.implCodeList = implCodeList;
    }
    /**
    * 获取 申请人属性
    * @return applicationTypeList
    */
    public List<String> getApplicationTypeList(){
        return this.applicationTypeList;
    }

    /**
    * 设置 申请人属性
    * @param applicationTypeList
    */
    public void setApplicationTypeList(List<String> applicationTypeList){
        this.applicationTypeList = applicationTypeList;
    }
    /**
    * 获取 申请人证件类型
    * @return applicationCardTypeList
    */
    public List<String> getApplicationCardTypeList(){
        return this.applicationCardTypeList;
    }

    /**
    * 设置 申请人证件类型
    * @param applicationCardTypeList
    */
    public void setApplicationCardTypeList(List<String> applicationCardTypeList){
        this.applicationCardTypeList = applicationCardTypeList;
    }
    /**
    * 获取 申请人姓名
    * @return applicationNameList
    */
    public List<String> getApplicationNameList(){
        return this.applicationNameList;
    }

    /**
    * 设置 申请人姓名
    * @param applicationNameList
    */
    public void setApplicationNameList(List<String> applicationNameList){
        this.applicationNameList = applicationNameList;
    }
    /**
    * 获取 申请人证件号码
    * @return applicationIdList
    */
    public List<String> getApplicationIdList(){
        return this.applicationIdList;
    }

    /**
    * 设置 申请人证件号码
    * @param applicationIdList
    */
    public void setApplicationIdList(List<String> applicationIdList){
        this.applicationIdList = applicationIdList;
    }
    /**
    * 获取 申请人手机号码
    * @return applicationPhoneList
    */
    public List<String> getApplicationPhoneList(){
        return this.applicationPhoneList;
    }

    /**
    * 设置 申请人手机号码
    * @param applicationPhoneList
    */
    public void setApplicationPhoneList(List<String> applicationPhoneList){
        this.applicationPhoneList = applicationPhoneList;
    }
    /**
    * 获取 机构名称
    * @return mechanismNameList
    */
    public List<String> getMechanismNameList(){
        return this.mechanismNameList;
    }

    /**
    * 设置 机构名称
    * @param mechanismNameList
    */
    public void setMechanismNameList(List<String> mechanismNameList){
        this.mechanismNameList = mechanismNameList;
    }
    /**
    * 获取 机构地址
    * @return mechanismAddressList
    */
    public List<String> getMechanismAddressList(){
        return this.mechanismAddressList;
    }

    /**
    * 设置 机构地址
    * @param mechanismAddressList
    */
    public void setMechanismAddressList(List<String> mechanismAddressList){
        this.mechanismAddressList = mechanismAddressList;
    }
    /**
    * 获取 机构性质
    * @return mechanismTypeList
    */
    public List<String> getMechanismTypeList(){
        return this.mechanismTypeList;
    }

    /**
    * 设置 机构性质
    * @param mechanismTypeList
    */
    public void setMechanismTypeList(List<String> mechanismTypeList){
        this.mechanismTypeList = mechanismTypeList;
    }
    /**
    * 获取 机构证件类型
    * @return mechanismIdTypeList
    */
    public List<String> getMechanismIdTypeList(){
        return this.mechanismIdTypeList;
    }

    /**
    * 设置 机构证件类型
    * @param mechanismIdTypeList
    */
    public void setMechanismIdTypeList(List<String> mechanismIdTypeList){
        this.mechanismIdTypeList = mechanismIdTypeList;
    }
    /**
    * 获取 机构编码
    * @return mechanismIdList
    */
    public List<String> getMechanismIdList(){
        return this.mechanismIdList;
    }

    /**
    * 设置 机构编码
    * @param mechanismIdList
    */
    public void setMechanismIdList(List<String> mechanismIdList){
        this.mechanismIdList = mechanismIdList;
    }
    /**
    * 获取 法人姓名
    * @return legalPersonList
    */
    public List<String> getLegalPersonList(){
        return this.legalPersonList;
    }

    /**
    * 设置 法人姓名
    * @param legalPersonList
    */
    public void setLegalPersonList(List<String> legalPersonList){
        this.legalPersonList = legalPersonList;
    }
    /**
    * 获取 办件申请日期
    * @return applyTimeList
    */
    public List<String> getApplyTimeList(){
        return this.applyTimeList;
    }

    /**
    * 设置 办件申请日期
    * @param applyTimeList
    */
    public void setApplyTimeList(List<String> applyTimeList){
        this.applyTimeList = applyTimeList;
    }
    /**
    * 获取 受理人姓名
    * @return acceptNameList
    */
    public List<String> getAcceptNameList(){
        return this.acceptNameList;
    }

    /**
    * 设置 受理人姓名
    * @param acceptNameList
    */
    public void setAcceptNameList(List<String> acceptNameList){
        this.acceptNameList = acceptNameList;
    }
    /**
    * 获取 受理人身份证号码
    * @return acceptIdList
    */
    public List<String> getAcceptIdList(){
        return this.acceptIdList;
    }

    /**
    * 设置 受理人身份证号码
    * @param acceptIdList
    */
    public void setAcceptIdList(List<String> acceptIdList){
        this.acceptIdList = acceptIdList;
    }
    /**
    * 获取 受理人手机号
    * @return acceptPhoneList
    */
    public List<String> getAcceptPhoneList(){
        return this.acceptPhoneList;
    }

    /**
    * 设置 受理人手机号
    * @param acceptPhoneList
    */
    public void setAcceptPhoneList(List<String> acceptPhoneList){
        this.acceptPhoneList = acceptPhoneList;
    }
    /**
    * 获取 系统编码
    * @return sysCodeList
    */
    public List<String> getSysCodeList(){
        return this.sysCodeList;
    }

    /**
    * 设置 系统编码
    * @param sysCodeList
    */
    public void setSysCodeList(List<String> sysCodeList){
        this.sysCodeList = sysCodeList;
    }
    /**
    * 获取 是否执行转化（0.未执行  1.已执行）
    * @return isExecuteList
    */
    public List<String> getIsExecuteList(){
        return this.isExecuteList;
    }

    /**
    * 设置 是否执行转化（0.未执行  1.已执行）
    * @param isExecuteList
    */
    public void setIsExecuteList(List<String> isExecuteList){
        this.isExecuteList = isExecuteList;
    }
    /**
    * 获取 是否转化成功（0默认 1成功）
    * @return isSuccessList
    */
    public List<String> getIsSuccessList(){
        return this.isSuccessList;
    }

    /**
    * 设置 是否转化成功（0默认 1成功）
    * @param isSuccessList
    */
    public void setIsSuccessList(List<String> isSuccessList){
        this.isSuccessList = isSuccessList;
    }
    /**
    * 获取 失败原因
    * @return failReasonList
    */
    public List<String> getFailReasonList(){
        return this.failReasonList;
    }

    /**
    * 设置 失败原因
    * @param failReasonList
    */
    public void setFailReasonList(List<String> failReasonList){
        this.failReasonList = failReasonList;
    }
    /**
    * 获取 开始 创建时间
    * @return createDateStart
    */
    public String getCreateDateStart(){
    return this.createDateStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createDateStart
    */
    public void setCreateDateStart(String createDateStart){
    this.createDateStart = createDateStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createDateEnd
    */
    public String getCreateDateEnd(){
    return this.createDateEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createDateEnd
    */
    public void setCreateDateEnd(String createDateEnd){
    this.createDateEnd = createDateEnd;
    }
    /**
    * 获取 开始 更新时间
    * @return updateDateStart
    */
    public String getUpdateDateStart(){
    return this.updateDateStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateDateStart
    */
    public void setUpdateDateStart(String updateDateStart){
    this.updateDateStart = updateDateStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateDateEnd
    */
    public String getUpdateDateEnd(){
    return this.updateDateEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateDateEnd
    */
    public void setUpdateDateEnd(String updateDateEnd){
    this.updateDateEnd = updateDateEnd;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<SupplementQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<SupplementQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<SupplementQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<SupplementQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}